# PokemonHealPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PokemonHealPhase

#### Hierarchy (View Summary)

- CommonAnimPhase
  - PokemonHealPhase

- Defined in src/phases/pokemon-heal-phase.ts:16

##### Index

### Constructors

constructor

### Properties

battlerIndex
fieldIndex
player

### Methods

end
executeForAll
getPokemon
hideEnemyTrainer
setAnimation
showEnemyTrainer
start

## Constructors

### constructor

- new PokemonHealPhase(
  battlerIndex: BattlerIndex ,
  hpHealed: number,
  message: null | string,
  showFullHpMessage: boolean,
  skipAnim?: boolean,
  revive?: boolean,
  healStatus?: boolean,
  preventFullHeal?: boolean,
  fullRestorePP?: boolean,
  ): PokemonHealPhase

  #### Parameters

  - battlerIndex: BattlerIndex
  - hpHealed: number
  - message: null | string
  - showFullHpMessage: boolean
  - skipAnim: boolean = false
  - revive: boolean = false
  - healStatus: boolean = false
  - preventFullHeal: boolean = false
  - fullRestorePP: boolean = false

  #### Returns PokemonHealPhase

  Overrides CommonAnimPhase.constructor

  - Defined in src/phases/pokemon-heal-phase.ts:26

## Properties

### `Protected` battlerIndex

battlerIndex: number

Inherited from CommonAnimPhase.battlerIndex

- Defined in src/phases/pokemon-phase.ts:7

### fieldIndex

fieldIndex: number

Inherited from CommonAnimPhase.fieldIndex

- Defined in src/phases/pokemon-phase.ts:9

### player

player: boolean

Inherited from CommonAnimPhase.player

- Defined in src/phases/pokemon-phase.ts:8

## Methods

### end

- end(): void

  #### Returns void

  Overrides CommonAnimPhase.end

  - Defined in src/phases/pokemon-heal-phase.ts:57

### executeForAll

- executeForAll(func: PokemonFunc): void

  #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from CommonAnimPhase.executeForAll

  - Defined in src/phases/field-phase.ts:8

### getPokemon

- getPokemon(): default

  #### Returns default

  Inherited from CommonAnimPhase.getPokemon

  - Defined in src/phases/pokemon-phase.ts:26

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from CommonAnimPhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### setAnimation

- setAnimation(anim: CommonAnim ): void

  #### Parameters

  - anim: CommonAnim

  #### Returns void

  Inherited from CommonAnimPhase.setAnimation

  - Defined in src/phases/common-anim-phase.ts:20

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from CommonAnimPhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Overrides CommonAnimPhase.start

  - Defined in src/phases/pokemon-heal-phase.ts:49